﻿# -----------------------------------------------------------------------------
#
# Treppenhaus                                           Ulrich Müller 22.08.10
#                                                       Aspire    Python 3.1.1
# Betrieb der Treppenhausbeleuchtung aus Robo LT Beginner Lab
#
# ----------------------------------------------------------------------------

from FishFa40 import *

mBeleuchtung   = 1
mLLampe        = 2
iTaster1       = 1
iTaster2       = 2
iLichtschranke = 3

def Treppenhaus1():
    "Taster : Einschalten für 10 sec"
    while not fl.Finish():
        if (fl.GetInput(iTaster1) or fl.GetInput(iTaster2)):
            fl.SetMotor(mBeleuchtung, fl.Ein)
            fl.Pause(10000)
        else:
            fl.SetMotor(mBeleuchtung, fl.Aus)

def Treppenhaus2():
    "Taster, Lichtschranke : Einschalten für 10 sec"
    fl.SetMotor(mLLampe, fl.Ein)
    fl.Pause(500)
    while not fl.Finish():
        if (fl.GetInput(iTaster1) or fl.GetInput(iTaster2) \
            or not fl.GetInput(iLichtschranke)):
           fl.SetMotor(mBeleuchtung, fl.Ein)
           fl.Pause(10000)
        else:
            fl.SetMotor(mBeleuchtung, fl.Aus)

def WaitForOn():
    while not fl.Finish():
        if (fl.GetInput(iTaster1) or fl.GetInput(iTaster2)):
            break
        fl.Pause(50)
def WaitForOff():
    fl.WaitForInput(iTaster1, False)
    fl.WaitForInput(iTaster2, False)
    
def Treppenhaus3():
    "Wechselschalter"
    while not fl.Finish():
        WaitForOff()
        WaitForOn()
        fl.SetMotor(mBeleuchtung, fl.Ein)
        WaitForOff()
        WaitForOn()
        fl.SetMotor(mBeleuchtung, fl.Aus)

fl = FishFace()

print ("Treppenhausbeleuchtung wird gestartet")
fl.OpenInterface()
Treppenhaus2()
print("Treppenhausbeleuchtung wird abgeschaltet")
fl.CloseInterface()
