# ---------------------------------------------------------------------------
#
# Waschmaschine.PY                                     Ulrich Müller 22.08.10
#                                                      Aspire    Python 3.1.1
#
# ---------------------------------------------------------------------------

from FishFa40 import *

mTrommel = 1
mAnzeige = 2
iStarter = 1
iTuerZu  = 2
cLangsam = 2
cVoll    = 7
cRechts  = 2
cLinks   = 1

def Waschmaschine1():
    "Starter : Trommel langsam 10 sec"
    while not fl.Finish():
        print("Start Waschgang : I1-Taster")
        fl.WaitForInput(iStarter)
        fl.SetMotor(mAnzeige, fl.Ein)
        fl.SetMotor(mTrommel, fl.Rechts, cLangsam)
        fl.Pause(10000)
        fl.SetMotor(mTrommel, fl.Aus)
        fl.SetMotor(mAnzeige, fl.Aus)
        fl.Pause(1000)

def Waschmaschine2():
    "Starter : Trommel langsam 10 sec, Tür zu"
    while not fl.Finish():
        print("Start Waschgang : I1-Taster")
        fl.WaitForInput(iTuerZu)
        fl.WaitForInput(iStarter)
        fl.SetMotor(mAnzeige, fl.Ein)
        fl.SetMotor(mTrommel, fl.Rechts, cLangsam)
        fl.Pause(10000)
        fl.SetMotor(mTrommel, fl.Aus)
        fl.SetMotor(mAnzeige, fl.Aus)
        fl.Pause(1000)

def Waschmaschine3():
    "Starter : Trommel langsam 10 sec, Tür zu, Schleudergang"
    while not fl.Finish():
        print("Start Waschgang : I1-Taster")
        fl.WaitForInput(iTuerZu)
        fl.WaitForInput(iStarter);
        fl.SetMotor(mAnzeige, fl.Ein)
        fl.SetMotor(mTrommel, fl.Rechts, cLangsam)
        fl.Pause(10000)
        fl.SetMotor(mTrommel, fl.Aus)
        fl.Pause(1000)
        fl.SetMotor(mTrommel, fl.Rechts, cVoll)
        fl.Pause(15000)
        fl.SetMotor(mTrommel, fl.Aus)
        fl.SetMotor(mAnzeige, fl.Aus)

def Trocknen(richtung):
    "Trockengang in Richtung"
    fl.SetMotor(mTrommel, richtung, cLangsam)
    fl.Pause(10000)
    fl.SetMotor(mTrommel, fl.Aus)
    fl.Pause(1000)
    
def Waschmaschine4():
    "Starter : Trommel langsam 10 sec, Tür zu, Schleudergang, Trocknen"
    while not fl.Finish():
        print("Start Waschgang : I1-Taster")
        if not fl.GetInput(iTuerZu):
            print("Tür ZU")
            fl.Pause(555)
            continue
        fl.WaitForInput(iStarter)
        print("Waschen")
        fl.SetMotor(mAnzeige, fl.Ein)
        fl.SetMotor(mTrommel, fl.Rechts, cLangsam)
        fl.Pause(10000)
        fl.SetMotor(mTrommel, fl.Aus)
        fl.Pause(1000)
        print("Schleudern")
        fl.SetMotor(mTrommel, fl.Rechts, cVoll)
        fl.Pause(15000)
        fl.SetMotor(mTrommel, fl.Aus)
        fl.Pause(1000)
        print("Trocknen")
        Trocknen(cRechts)
        Trocknen(cLinks)
        fl.SetMotor(mAnzeige, fl.Aus)

fl = FishFace()

print("Waschmaschine wird gestartet")
fl.OpenInterface()
Waschmaschine4()
print("Waschmaschine wird beendet")
fl.CloseInterface()
